Subject: Re: [PATCH v4 net-next 00/19] net: mvpp2: Add TX Flow Control support

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 28 Jan 2021 16:43:17 +0000

On Wed, Jan 27, 2021 at 01:43:16PM +0200, [email-masked] wrote:
> Armada hardware has a pause generation mechanism in GOP (MAC).
> The GOP generate flow control frames based on an indication programmed in Ports Control 0 Register. There is a bit per port.
> However assertion of the PortX Pause bits in the ports control 0 register only sends a one time pause.
> To complement the function the GOP has a mechanism to periodically send pause control messages based on periodic counters.
> This mechanism ensures that the pause is effective as long as the Appropriate PortX Pause is asserted.

I've tested this on my Macchiatobin SingleShot, which seems to be Ax
silicon (and I've checked a couple of my other Armada 8040 platforms
which are also Ax silicon too) and networking remains functional
without flow control with the gigabit port achieving wire speed. I
have not yet tested the 10G ports.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!